//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Models/TransformationItem.cpp
//! @brief     Implements class TransformationItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Models/TransformationItem.h"
#include "GUI/Models/RotationItems.h"

const QString TransformationItem::P_ROT = "Rotation type";

const QString TransformationItem::M_TYPE = "Rotation";

TransformationItem::TransformationItem() : SessionGraphicsItem(M_TYPE)
{
    setToolTip("Rotation applied to particles");
    addGroupProperty(P_ROT, "Rotation group");
}

RotationItem* TransformationItem::rotation() const
{
    return dynamic_cast<RotationItem*>(getGroupItem(P_ROT));
}
