//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/SampleDesigner/SampleWidgetBox.h
//! @brief     Defines class SampleWidgetBox
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLEWIDGETBOX_H
#define BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLEWIDGETBOX_H

#include <QWidget>

class WidgetBoxTreeWidget;

//! widget box and tool window on the left side of SampleView
class SampleWidgetBox : public QWidget {
public:
    explicit SampleWidgetBox(QWidget* parent);

    virtual QSize minimumSizeHint() const override;

private:
    void fill();

private slots:
    void handleMousePress(const QString& title, const QString& className,
                          const QPoint& globalMousePos);

private:
    WidgetBoxTreeWidget* m_view;
};

#endif // BORNAGAIN_GUI_VIEWS_SAMPLEDESIGNER_SAMPLEWIDGETBOX_H
